package vn.azteam.tpf.service.dto;

import vn.azteam.tpf.domain.TBCodeDetailsStatusEnum;

import java.io.Serializable;
import java.time.Instant;

public class TBCodeDetailsDTO implements Serializable {

    private Long id;

    private TBCodeDTO tbCode;

    private String code;

    private Integer numberScan;

    private TBCodeDetailsStatusEnum status;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public TBCodeDTO getTbCode() {
        return tbCode;
    }

    public void setTbCode(TBCodeDTO tbCode) {
        this.tbCode = tbCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getNumberScan() {
        return numberScan;
    }

    public void setNumberScan(Integer numberScan) {
        this.numberScan = numberScan;
    }

    public TBCodeDetailsStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TBCodeDetailsStatusEnum status) {
        this.status = status;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long createdById) {
        this.createdById = createdById;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long modifiedById) {
        this.modifiedById = modifiedById;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long deletedById) {
        this.deletedById = deletedById;
    }
}
